---
title: IDBVersionChangeEvent.version
slug: Web/API/IDBVersionChangeEvent/version
tags:
  - API
  - Deprecated
  - IndexedDB
  - NeedsExample
  - Property
  - Reference
  - Référence(2)
---
<p>{{ APIRef("IndexedDB") }}</p>

<p>The <strong><code>version</code></strong> property of the {{domxref("IDBVersionChangeEvent")}} interface returns The new version of the database in a <a href="https://developer.mozilla.org/en/IndexedDB/IDBTransaction#VERSION_CHANGE" title="en/IndexedDB/IDBTransaction#VERSION CHANGE">versionchange</a> transaction.</p>

<div class="warning">
<p><strong>Warning</strong>: While this property is still implemented in older browsers, the latest specification replaces it with the <code>oldVersion</code> and <code>newVersion</code> attributes. See the compatibility table to know what browsers support them.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface" id="idl-def-IDBVersionChangeEvent"><span class="idlAttribute">readonly    attribute <span class="idlAttrType">unsigned long long?</span> <span class="idlAttrName">version</span>;</span></span></pre>

<h2 id="Value">Value</h2>

<p>A <a href="/en-US/docs/NSPR_API_Reference/Long_Long_(64-bit)_Integers">64-bit integer</a>.</p>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.IDBVersionChangeEvent.version")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB">Using IndexedDB</a></li>
	<li>Starting transactions: {{domxref("IDBDatabase")}}</li>
	<li>Using transactions: {{domxref("IDBTransaction")}}</li>
	<li>Setting a range of keys: {{domxref("IDBKeyRange")}}</li>
	<li>Retrieving and making changes to your data: {{domxref("IDBObjectStore")}}</li>
	<li>Using cursors: {{domxref("IDBCursor")}}</li>
	<li>Reference example: <a class="external" href="https://github.com/mdn/to-do-notifications/tree/gh-pages">To-do Notifications</a> (<a class="external" href="https://mdn.github.io/to-do-notifications/">view example live</a>.)</li>
</ul>
